Download error Rated 1 out of 5 stars

Yes, as mentioned, this add-on can't be installed due to the following error:

Firefox could not install the file at

https://addons.mozilla.org/en-US/firefox/downloads/file/82568/ie_tab_2__ff_3.6+_-2.3.9.1-fx-win.xpi?src=addondetail&confirmed

because: Invalid file hash (possible download corruption) -261

Hope you can fix that soon :)

This review is for a previous version of the add-on (2.3.9.1).